﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Web;
using System.Web.UI;

public class QPage : Page
{
    #region Fields

    private readonly PageStateToSessionPersister m_pageStatePersister;

    #endregion

    #region Constructors and Destructors

    public QPage()
    {
        m_pageStatePersister = new PageStateToSessionPersister(this);
    }

    #endregion

    #region Protected Properties

    protected override PageStatePersister PageStatePersister
    {
        [DebuggerStepThrough]
        get
        {
            return m_pageStatePersister;
        }
    }

    #endregion

    #region Public Methods

    public void ClearPageState(string pageStateKey)
    {
        m_pageStatePersister.ClearPageState(pageStateKey);
    }

    #endregion
}